rte_hexdump.h(3)

NAME
rte_hexdump.h

SYNOPSIS

#include <stdio.h>

  Functions

void rte_hexdump (FILE *f, const char *title, const void *buf, unsigned int len)
void rte_memdump (FILE *f, const char *title, const void *buf, unsigned int len)

Detailed Description

Simple API to dump out memory in a special hex format.

Definition in file rte_hexdump.h.

Function Documentation

  void rte_hexdump (FILE * f, const char * title, const void * buf, unsigned int len)
Dump out memory in a special hex dump format.

Parameters
    f A pointer to a file for output.
    title If not NULL this string is printed as a header to the output.
    buf This is the buffer address to print out.
    len The number of bytes to dump out.

  void rte_memdump (FILE * f, const char * title, const void * buf, unsigned int len)
Dump out memory in a hex format with colons between bytes.

Parameters
    f A pointer to a file for output.
    title If not NULL this string is printed as a header to the output.
    buf This is the buffer address to print out.
    len The number of bytes to dump out.

Author

Generated automatically by Doxygen for DPDK from the source code.